Alibaba product search
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-alibaba-product-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "phone case",
"count": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-alibaba-product-search"
payload = {
"keyword": "phone case",
"count": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keyword: 'phone case', count: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-alibaba-product-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "alibaba_product_search",
"keyword": "phone case",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Alibaba product search\n\n- **Search term:** phone case\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Response size:** 1.81 MB",
"machine": {
"total_items": 2,
"items": [
{
"@type": "AlibabaProduct",
"id": "1601918386232",
"price": "R$2.73-3.63",
"promotion_price": null,
"discount": "5% off",
"moq": "200 pieces",
"units_sold": "800 sold",
"rating": "4.7",
"review_count": 95,
"reorder_rate": "18%",
"product_score": null,
"shipping_score": null,
"supplier_service_score": null,
"is_certified": false,
"certifications": [],
"image": "https://s.alicdn.com/@sc04/kf/He0c23016d3854f688506c3d7090724e8a.png_300x300.png",
"images": [
"https://s.alicdn.com/@sc04/kf/He0c23016d3854f688506c3d7090724e8a.png_300x300.png",
"https://s.alicdn.com/@img/imgextra/i1/O1CN01skevju1mJMrEIZqWk_!!6000000004933-55-tps-21-21.svg"
],
"product_url": "https://www.alibaba.com/product-detail/Premium-Crystal-Clear-TPU-PC-Case_1601918386232.html?priceId=01d9b5bd25df4138806bc01d61f56114",
"supplier": {
"@type": "AlibabaSupplier",
"id": null,
"name": "Guangzhou Ruite Electronic Technology Co., Ltd.",
"country": null,
"years": null,
"image": null,
"url": "//ruitetec.en.alibaba.com/company_profile.html"
}
},
{
"@type": "AlibabaProduct",
"id": "1601569505113",
"price": "R$2.30",
"promotion_price": null,
"discount": "10% off",
"moq": "100 pieces",
"units_sold": "746 sold",
"rating": "4.4",
"review_count": 66,
"reorder_rate": "17%",
"product_score": null,
"shipping_score": null,
"supplier_service_score": null,
"is_certified": false,
"certifications": [],
"image": "https://s.alicdn.com/@sc04/kf/H7b36cda9ad46443d886f1f95fb710095s.jpg_300x300.jpg",
"images": [
"https://s.alicdn.com/@sc04/kf/H7b36cda9ad46443d886f1f95fb710095s.jpg_300x300.jpg",
"https://s.alicdn.com/@img/imgextra/i1/O1CN01skevju1mJMrEIZqWk_!!6000000004933-55-tps-21-21.svg"
],
"product_url": "https://www.alibaba.com/product-detail/Low-MOQ-Mix-Full-Models-Magnetic_1601569505113.html?selectedCarrierCode=SEMI_MANAGED_STANDARD%40%40STANDARD&priceId=01d9b5bd25df4138806bc01d61f56114",
"supplier": {
"@type": "AlibabaSupplier",
"id": null,
"name": "Fuzhou Jinan District Hengxin Technology Co., Ltd",
"country": null,
"years": null,
"image": null,
"url": "//henx888.en.alibaba.com/company_profile.html"
}
}
],
"proxy_traffic_bytes": 1901196
},
"total_points": 2
}E-commerce & Marketplaces
Alibaba product search
Search Alibaba products by keyword: price, MOQ, supplier, and certifications. 1 point per returned record.
POST
/
functions
/
v1
/
run-alibaba-product-search
Alibaba product search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.